#
# spec file for package python-dash-table
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
%define skip_python2 1
Name:           python-dash-table%{psuffix}
Version:        4.6.2
Release:        bp156.3.1
Summary:        Dash table
License:        MIT
URL:            https://github.com/plotly/dash-table
Source:         https://github.com/plotly/dash-table/archive/v%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-dash
BuildArch:      noarch
%if %{with test}
BuildRequires:  %{python_module dash}
BuildRequires:  %{python_module pytest}
%endif
%python_subpackages

%description
An interactive DataTable for Dash.

%prep
%setup -q -n dash-table-%{version}

%build
%python_build

%install
%if !%{with test}
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%endif

%check
%if %{with test}
%pytest tests/unit
%endif

%if !%{with test}
%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/dash_table/
%{python_sitelib}/dash_table-%{version}-py*.egg-info
%endif

%changelog
* Sat Apr 18 2020 Arun Persaud <arun@gmx.de>
- specfile:
  * be more specific in %%files section
- update to version 4.6.2:
  * #713 Update from React 16.8.6 to 16.13.0
* Tue Mar 31 2020 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by dash
